[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# RegisterDaemonMapper

Register a daemon mapper class

## Declaration

Source position: daemonapp.pp line 390

`procedure RegisterDaemonMapper(`
`AMapperClass: TCustomDaemonMapperClass`
`);`

## Arguments

`AMapperClass` |  | New TCustomDaemonMapperClass class

## Description

RegisterDaemonMapper can be used to register an alternative class for the global daemonmapper. The daemonmapper will be used only when the application is being run, by the TCustomDaemonApplication code, so registering an alternative mapping class should happen in the initialization section of the application units.

## See also

TCustomDaemonApplication |  | Custom daemon application class
TCustomDaemonMapperClass |  | Class of TCustomDaemonMapper

Documentation generated on: Feb 26 2014